import { NextRequest, NextResponse } from "next/server";
import { getServerSession } from "next-auth";
import { authOptions } from "app/_lib/auth";
import { deleteUserVisualization } from "app/_lib/opensearch";

export const POST = async (req: NextRequest, res: NextResponse) => {
    const session = await getServerSession(authOptions);
    const { user: { email } }: any = session;
    const { id } = await req.json();
    await deleteUserVisualization(email as string, id);

    return NextResponse.json({ id });
};


